# color_pick

This Dart package offers developers a select color view library of Flutter widgets.
 When you need a color wheel or a ring color selector, it is your best choice. 
 For example, you can control the color of the light bulb and you need to choose the color.

## Getting Started

### Installation
    Add this to your pubspec.yaml (or create it):
    
`dependencies:
   color_pick: ^0.0.5`
   
### Then run the flutter tooling:
`flutter packages get`

### example

```javascript
import 'package:color_pick/ring_color_pick.dart';
 import 'package:flutter/material.dart';
 
 import 'color_pick.dart';
 
 class CirclePage extends StatefulWidget {
   @override
   State<StatefulWidget> createState() {
     // TODO: implement createState
     return CirclePageState();
   }
 }
 
 class CirclePageState extends State<CirclePage> {
   Color currentColor = Color(0xff0000ff);
 
   @override
   Widget build(BuildContext context) {
     // TODO: implement build
     return Scaffold(
       appBar: AppBar(
         centerTitle: true,
         title: Text("色盘选择器"),
       ),
       body: Center(
           child: Column(
         children: <Widget>[
           ColorPickView(
             selectColor: Color(0xff00eaff),
             selectRadius: 30,
             padding: 100,
             selectRingColor: Colors.black,
             selectColorCallBack: (color) {
               setState(() {
                 currentColor = color;
               });
             },
           ),
           Container(
             color: currentColor,
             height: 50,
             width: 50,
             child: SizedBox(),
           )
         ],
       )),
     );
   }
 }
```

### Result
![image](https://github.com/xfhomedream/color_pick/blob/master/1564236994665_450x900.gif)

Details in [example/lib/main.dart](https://github.com/xfmaster/color_pick/blob/master/lib/main.dart).

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.